<?php
/*
 * lib/security.lib.phpのテスト用ページ
 * 本来はこのようなファイルはアクセス可能な場所に置くべきではない
 */
require_once 'config.php';

// デフォルトのエラーハンドラを利用
restore_error_handler();
?>
<!DOCTYPE html>
<html>
 <head>
  <title></title>
 </head>
 <body>
  <h1>validate test</h1>
  <form method="get" action="validate_test.php">
   検証用データ <input type="text" name="str" value="<?php echo @htmlspecialchars($_GET['str']); ?>" /><br />
   補助データ1 <input type="text" name="val1" value="<?php echo @htmlspecialchars($_GET['val1']) ?>" /><br />
   補助データ2 <input type="text" name="val2" value="<?php echo @htmlspecialchars($_GET['val2']) ?>" /><br />
   <p>補助データは最小/最大値、正規表現、配列要素などになります。</p>
   <input type="submit" />
  </form>
  <ul>
   <li>validate_error:
    <?php
    var_dump(validate_error($_GET['str']));
    ?>
   </li>
   <li>varidate_array:
    <?php
    var_dump(validate_array(array($_GET['str'], $_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_array_val_str:
    <?php
    var_dump(validate_array_val_str($_GET['str'], array($_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_array_keys_exp:
    <?php
    var_dump(validate_array_keys_exp($_GET['str'], array($_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_array_vals_exp:
    <?php
    var_dump(validate_array_vals_exp($_GET['str'], array($_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_array_key_in:
    <?php
    var_dump(validate_array_key_in($_GET['str'], array($_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_array_val_in:
    <?php
    var_dump(validate_array_val_in($_GET['str'], array($_GET['val1'], $_GET['val2']), VLD_RETURN));
    ?>
   </li>
   <li>validate_sha1:
    <?php
    var_dump(validate_sha1($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_md5:
    <?php
    var_dump(validate_md5($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_email:
    <?php
    var_dump(validate_email($_GET['str'], false, VLD_RETURN));
    ?>
   </li>
   <li>validate_url: <?php
    var_dump(validate_url($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_int:
    <?php
    var_dump(validate_int($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_int_range:
    <?php
    var_dump(validate_int_range($_GET['str'], $_GET['val1'], $_GET['val2'], VLD_RETURN));
    ?>
   </li>
   <li>validate_hex:
    <?php
    var_dump(validate_hex($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_real:
    <?php
    var_dump(validate_real($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_real_range:
    <?php
    var_dump(validate_real_range($_GET['str'], $_GET['val1'], $_GET['val2'], VLD_RETURN));
    ?>
   </li>
   <li>validate_number:
    <?php
    var_dump(validate_number($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str:
    <?php
    var_dump(validate_str($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_hex:
    <?php
    var_dump(validate_str_hex($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_label:
    <?php
    var_dump(validate_str_label($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_eregn:
    <?php
    var_dump(validate_str_eregn($_GET['str'], $_GET['val1'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_eregin:
    <?php
    var_dump(validate_str_eregin($_GET['str'], $_GET['val1'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_ereg:
    <?php
    var_dump(validate_str_ereg($_GET['str'], $_GET['val1'],VLD_RETURN));
    ?>
   </li>
   <li>validate_str_eregi:
    <?php
    var_dump(validate_str_eregi($_GET['str'], $_GET['val1'],VLD_RETURN));
    ?>
   </li>
   <li>validate_str_spn:
    <?php
    var_dump(validate_str_spn($_GET['str'], $_GET['val1'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_length:
    <?php
    var_dump(validate_str_length($_GET['str'], $_GET['val1'], $_GET['val2'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_width:
    <?php
    var_dump(validate_str_width($_GET['str'], $_GET['val1'], $_GET['val2'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_notags:
    <?php
    var_dump(validate_str_notags($_GET['str'], VLD_RETURN));
    ?>
   </li>
   <li>validate_str_noentities:
    <?php
    var_dump(validate_str_noentities($_GET['str'], VLD_RETURN));
    ?>
   </li>
  </ul>
  <ul>
   <li>html:
    <?php
    var_dump(html($_GET['str']));
    ?>
   </li>
   <li>html_raw:
    <?php
    var_dump(html_raw($_GET['str']));
    ?>
   </li>
  </ul>
 </body>
</html>
