<?php
/*
Copyright (c) 2006 Yasuo Ohgaki All Rights Reserved

This file is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.
 */

// 強制ブラウズ対策
if (!defined('CONFIG')) {
	error_log(
		'直接アクセスを検知しました。 ファイル: '. __FILE__.' 行:'.__LINE__.
		' IP: '. $_SERVER['REMOTE_ADDR'] .' AGENT: '. $_SERVER['HTTP_USER_AGENT']);
	die('このファイルは直接参照できません。');// 確実に実行を終了する
}


///////////////// php.ini設定の確認 ////////////////////

// trans sid機能は非常に危険
if (ini_get('session.use_trans_sid')) trigger_error('session.use_trans_sid=offに設定してください。');

// register_globals=offに必ず設定するべき
if (ini_get('register_globals')) trigger_error('register_global=onはサポートしません。');

// magic quoteはセキュリティ対策としても不完全な対策です。
if (ini_get('magic_quote_gpc')) trigger_error('magic_quote_gpc=onはサポートしません。');

// セキュアなアプリケーションにログは必須。
//if (!ini_get('error_log')) trigger_error('error_logは必ず設定してください。');

// フェイルセーフ。エラーハンドラで処理できている。
//if (ini_get('display_errors')) trigger_error('display_errors=offに設定してください。');

//expose_php=off の方が望ましい
//if (!ini_get('expose_php')) trigger_error('expose_php=offに設定してください。');

// mbstring, PDO必須
if (!extension_loaded('mbstring')) trigger_error('mbstringが必要です。');
if (!extension_loaded('PDO')) trigger_error('PDOが必要です。');


